job_name: {{image_name}}-sdk
{% if device_type == 'qemu' %}
{% include 'common-qemu-boot-tpl.yaml' %}
{% else %}
{% include 'common-boot-tpl.yaml' %}
{% endif %}

  - test:
      timeout:
        minutes: 180
      namespace: system
      name: sdk-tests
      definitions:
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/ade-commands.yaml
          name: ade-commands
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-code-analysis-tools-gcov.yaml
          name: sdk-code-analysis-tools-gcov
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-code-analysis-tools-splint.yaml
          name: sdk-code-analysis-tools-splint
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-debug-tools-gdb.yaml
          name: sdk-debug-tools-gdb
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-debug-tools-strace.yaml
          name: sdk-debug-tools-strace
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-debug-tools-valgrind.yaml
          name: sdk-debug-tools-valgrind
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-performance-tools-gprof.yaml
          name: sdk-performance-tools-gprof
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-performance-tools-sysprof.yaml
          name: sdk-performance-tools-sysprof
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/tumbler-thumbnailing.yaml
          name: tumbler-thumbnailing
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-cross-compilation.yaml
          name: sdk-cross-compilation
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-debos-image-building.yaml
          name: sdk-debos-image-building
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-flatpak-demo.yaml
          name: sdk-flatpak-demo
        - repository: https://gitlab.apertis.org/tests/apertis-test-cases.git
          revision: 'apertis/v2022dev3'
          from: git
          path: test-cases/sdk-docker.yaml
          name: sdk-docker
